com.r3corda.demos.protocols / AutoOfferProtocol

# AutoOfferProtocol

`object AutoOfferProtocol`

This whole class is really part of a demo just to initiate the agreement of a deal with a simple API call from a single party without bi-directional access to the database of offers etc.

In the "real world", wed probably have the offers sitting in the platform prior to the agreement step or the protocol would have to reach out to external systems (or users) to verify the deals.

### Types

AutoOfferMessage | `data class AutoOfferMessage`
Plugin | `class Plugin : CordaPluginRegistry`
Requester | `class Requester : ProtocolLogic<SignedTransaction>`
Service | `class Service`

### Properties

TOPIC | `val TOPIC: String`